"use strict";

var _react = _interopRequireDefault(require("react"));
var _reactNative = require("@testing-library/react-native");
var _ = _interopRequireDefault(require("."));
var _hooks = require("../../../../../../hooks");
var _reactNativeDocumentPicker = _interopRequireDefault(require("react-native-document-picker"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
jest.mock('react-native-document-picker');
jest.mock('../../../../../../hooks', () => ({
  useSocketActions: jest.fn(() => ({
    handleSubmitMessage: jest.fn()
  }))
}));
describe('FilePicker', () => {
  beforeAll(() => {
    _hooks.useSocketActions.mockReturnValue({
      handleSubmitMessage: jest.fn()
    });
  });
  afterEach(() => {
    jest.resetAllMocks();
  });
  it('should call DocumentPicker and handleSubmitMessage when a document is selected', async () => {
    const document = {
      uri: 'file://path/to/file.pdf',
      type: 'application/pdf',
      name: 'file.pdf',
      size: 1024
    };
    _reactNativeDocumentPicker.default.pick.mockResolvedValueOnce([document]);
    const {
      getByTestId
    } = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_.default, null));
    const filePickerButton = getByTestId('filePicker');
    await _reactNative.fireEvent.press(filePickerButton);
    expect(_reactNativeDocumentPicker.default.pick).toHaveBeenCalled();
    expect((0, _hooks.useSocketActions)().handleSubmitMessage).toHaveBeenCalled();
  });
});
//# sourceMappingURL=index.spec.js.map