import React from 'react';
import { View, Text, Linking, TouchableOpacity } from 'react-native';
import { useChatConfigurations } from '../../../../context/ChatConfigurations';
import { styles } from './styles';
function Footer() {
  const {
    botConfigs
  } = useChatConfigurations();
  const hasText = !!botConfigs.poweredBy;
  const onTextPress = () => Linking.openURL(botConfigs.poweredByUrl);
  return hasText ? /*#__PURE__*/React.createElement(View, {
    style: styles.footerContainer
  }, /*#__PURE__*/React.createElement(TouchableOpacity, {
    testID: "poweredBy",
    onPress: onTextPress
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.footerText
  }, botConfigs.poweredBy))) : /*#__PURE__*/React.createElement(View, null);
}
export default Footer;
//# sourceMappingURL=index.js.map